#!/usr/bin/python3

from tkinter import *
from tkinter.ttk import *


class Personne():                                         # définition d'une classe
  
    def __init__(self,nom,prenom,metier,age):                    # fonction appelé à la déclaration de l'objet (l'instanciation)
        self.nom = nom                                                     # définition des attributs d'un objet
        self.prenom = prenom                                             # définition des attributs d'un objet
        self.metier = metier
        self.age = age
        
    def resume(self):                                                                         # définition d'une fonction associée à un objet, c'est-à-dire une methode
        return self.prenom+" "+self.nom
        
    def presentation(self):                                                                         # définition d'une fonction associée à un objet, c'est-à-dire une methode
        return "Bonjour, je m'appelle "+self.prenom+" "+self.nom+", j'ai "+str(self.age)+ " ans et je suis "+self.metier
        
      
liste = []
liste.append(Personne("Vicaut", "Roger", "électricien", 59))                    
liste.append(Personne("Jumard", "Mireille", "femme au foyer", 47))    
lbox = [e.resume() for e in liste]                                   # creation d'une liste a partir de la précédente

fenetre = Tk()                                                       # creation de la fenetre principale



def action():                                                        # fonction qui va être appelée quand on appuie sur le bouton
    ind = combo.current()
    labelPres["text"] = liste[ind].presentation()
    
    
combo = Combobox(fenetre, values = lbox)                             # creation de la combobox a partir des valeurs de la liste

combo.pack()

boutonJouer = Button(fenetre, text="Presentation", command = action) # creation d'un label dans la fenetre 

boutonJouer.pack()

labelPres = Label(fenetre, text="")                                  # creation d'un label dans la fenetre                                               
    
labelPres.pack()                                                     # ajustement du label dans la fenetre

fenetre.mainloop()                                                   # lancement du programme                                           